org.eclipse.microprofile.openapi.annotations.security

## Annotation Type SecurityRequirements

    @Target(value={METHOD,TYPE})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface SecurityRequirements

This object represents an array of security requirements that can be specified for the operation or at definition level. Only one of requirements needs be satisfied

     Example:
     security:
       - oauth_implicit: []
       - api_secret: []

See Also:
  SecurityRequirement Object

### Optional Element Summary

Optional Elements
`SecurityRequirement[]` `value` An array of SecurityRequirement annotations that can be specified for the operation or at definition level.

### Element Detail

#### value

    public abstract SecurityRequirement[] value

An array of SecurityRequirement annotations that can be specified for the operation or at definition level.

Returns:
  the array of the SecurityRequirement annotations

Default:
  {}